CobolDescriptor (Micro Focus COBOL Java Class Library)
Keywords: com.microfocus.cobol.lang.internal.CobolDescriptor class

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.microfocus.cobol.lang.internal
Class CobolDescriptor

    java.lang.Object
      com.microfocus.cobol.lang.internal.CobolDescriptor

public class CobolDescriptor
extends Object

Micro Focus Java Support

Since:
  Net Express 4.0
Version:
  3.14, 3/29/02

Constructor Summary
`CobolDescriptor(int id, int type, byte[] descriptor)`

Method Summary
`protected byte[]` | `getDescriptor()`
`protected int` | `getId()`
`protected int` | `getType()`
`protected boolean` | `isAlphanumericEdited()`
`protected boolean` | `isComp1()`
`protected boolean` | `isComp2()`
`protected boolean` | `isNumericEdited()`
`protected static CobolDescriptor` | `makeAlphanumericDescriptor(int id, int length, int flags)`
`protected static CobolDescriptor` | `makeEditedDescriptor(int id, int length, int type, int flags, String picture)`
`protected static CobolDescriptor` | `makeNumericDescriptor(int id, int length, int type, int flags, int sign, int digits, int alignment)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CobolDescriptor

    public CobolDescriptor(int id,
                           int type,
                           byte[] descriptor)

Method Detail

### getType

    protected int getType()

### getId

    protected int getId()

### getDescriptor

    protected byte[] getDescriptor()

### isAlphanumericEdited

    protected boolean isAlphanumericEdited()

### isNumericEdited

    protected boolean isNumericEdited()

### isComp1

    protected boolean isComp1()

### isComp2

    protected boolean isComp2()

### makeAlphanumericDescriptor

    protected static CobolDescriptor makeAlphanumericDescriptor(int id,
                                                                int length,
                                                                int flags)

### makeNumericDescriptor

    protected static CobolDescriptor makeNumericDescriptor(int id,
                                                           int length,
                                                           int type,
                                                           int flags,
                                                           int sign,
                                                           int digits,
                                                           int alignment)

### makeEditedDescriptor

    protected static CobolDescriptor makeEditedDescriptor(int id,
                                                          int length,
                                                          int type,
                                                          int flags,
                                                          String picture)

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2000 Micro Focus International Limited. All rights reserved.
This document and the proprietary marks and names used herein are protected by international law.